Detailed Vaults

get

Retrieves a detailed performance metrics of single vault including APY, TVL, rewards, risk scores, and protocol information based on specified filters.

Authorizations
x-api-keystringRequired
Path parameters
networkstring · enumRequired

Include only vaults with provided network(name or CAIP)

Possible values:
vaultAddressstringRequired

Address of the vault for which the data will be returned

Pattern: ^0x[a-fA-F0-9]{40}$
Responses
chevron-right
200

Default Response

application/json
addressstringRequired

Address of the vault

Pattern: ^0x[a-fA-F0-9]{40}$
isTransactionalbooleanRequired

Indicates if the vault supports transactional endpoints

isAppFeaturedbooleanRequired

Indicates if the vault is featured in app.vaults.fyi

namestringRequired

Name of the vault

lendUrlstringOptional

URL to lend the asset

descriptionstringOptional

Description of the vault

protocolVaultUrlstringOptional

URL to the protocol vault

tagsstring[]Required

Tags of the vault

lastUpdateTimestampintegerRequired

Timestamp of the last vault data update

additionalIncentivesstringOptional

Additional incentives of the vault

remainingCapacitystringOptional

Remaining capacity of the vault

maxCapacitystringOptional

Maximum capacity limit of the vault

isCorruptedbooleanRequired

Indicates if the vault is corrupted

warningsstring[]Required

List of warnings related to the vault

get
/v2/detailed-vaults/{network}/{vaultAddress}
get

Retrieves a comprehensive list of vaults with detailed performance metrics including APY, TVL, rewards, risk scores, and protocol information based on specified filters.

Authorizations
x-api-keystringRequired
Query parameters
pageintegerOptional

Page number (starting from 0)

Default: 0
perPageinteger · max: 5000Optional

Number of items per page

Default: 50
allowedAssetsstring[]Optional

Assets to be included by symbol(ticker).

disallowedAssetsstring[]Optional

Assets to be excluded by symbol(ticker). The parameter is ignored if "allowedAssets" is specified.

allowedProtocolsstring[]Optional

Protocols to be included by name.

disallowedProtocolsstring[]Optional

Protocols to be excluded by name. The parameter is ignored if "allowedProtocols" is specified.

minTvlintegerOptional

Minimum TVL in USD of the vaults to be included

Default: 100000
onlyTransactionalbooleanOptional

Include only vaults that are supported in the transactional interface.

onlyAppFeaturedbooleanOptional

Include only vaults that are featured in app.vaults.fyi

allowCorruptedbooleanOptional

Allow inclusion of corrupted vaults.

Default: false
allowVaultsWithWarningsbooleanOptional

Whether to include vaults with warnings. Defaults to true.

maxTvlintegerOptional

Maximum TVL in USD of the vaults to be included

maxApynumberOptional

Maximum APY (in decimal) of the vaults to be included

minApynumberOptional

Minimum APY (in decimal) of the vaults to be included

tagsstring[]Optional

Tags to be included.

curatorsstring[]Optional

Curators to be included.

sortOrderstring · enumOptional

Sort order, either asc or desc. Ascending is default.

Default: ascPossible values:
sortBystring · enumOptional

Field to sort by

Possible values:
Responses
chevron-right
200

Default Response

application/json
itemsOnPageintegerRequired

Number of items on the current page

nextPageintegerOptional

Next page number

get
/v2/detailed-vaults
get

Retrieves vault APY breakdown.

Authorizations
x-api-keystringRequired
Path parameters
networkstring · enumRequired

Include only vaults with provided network(name or CAIP)

Possible values:
vaultAddressstringRequired

Address of the vault for which the data will be returned

Pattern: ^0x[a-fA-F0-9]{40}$
Responses
chevron-right
200

Default Response

application/json
get
/v2/detailed-vaults/{network}/{vaultAddress}/apy
get

Retrieves vault Tvl breakdown.

Authorizations
x-api-keystringRequired
Path parameters
networkstring · enumRequired

Include only vaults with provided network(name or CAIP)

Possible values:
vaultAddressstringRequired

Address of the vault for which the data will be returned

Pattern: ^0x[a-fA-F0-9]{40}$
Responses
chevron-right
200

Default Response

application/json
usdstringRequired

TVL in USD

nativestringRequired

Native TVL

get
/v2/detailed-vaults/{network}/{vaultAddress}/tvl

Last updated